package com.xingxi.master.product.service.impl;

import com.xingxi.common.core.text.Convert;
import com.xingxi.common.utils.DateUtils;
import com.xingxi.master.product.domain.ProdPic;
import com.xingxi.master.product.mapper.ProdPicMapper;
import com.xingxi.master.product.service.IProdPicService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 商品图片Service业务层处理
 *
 * @author xingxi
 * @date 2025-03-06
 */
@Service
public class ProdPicServiceImpl implements IProdPicService {
    @Resource
    private ProdPicMapper prodPicMapper;

    /**
     * 查询商品图片
     *
     * @param id 商品图片主键
     * @return 商品图片
     */
    @Override
    public ProdPic selectProdPicById(Long id) {
        return prodPicMapper.selectProdPicById(id);
    }

    /**
     * 查询商品图片列表
     *
     * @param prodPic 商品图片
     * @return 商品图片
     */
    @Override
    public List<ProdPic> selectProdPicList(ProdPic prodPic) {
        return prodPicMapper.selectProdPicList(prodPic);
    }

    /**
     * 新增商品图片
     *
     * @param prodPic 商品图片
     * @return 结果
     */
    @Override
    public int insertProdPic(ProdPic prodPic) {
        prodPic.setCreateTime(DateUtils.getNowDate());
        return prodPicMapper.insertProdPic(prodPic);
    }

    /**
     * 新增商品图片
     *
     * @param prodPicList 商品图片
     * @return 结果
     */
    @Override
    public int batchInsertProdPic(List<ProdPic> prodPicList) {
        return prodPicMapper.batchInsertProdPic(prodPicList);
    }

    /**
     * 修改商品图片
     *
     * @param prodPic 商品图片
     * @return 结果
     */
    @Override
    public int updateProdPic(ProdPic prodPic) {
        prodPic.setUpdateTime(DateUtils.getNowDate());
        return prodPicMapper.updateProdPic(prodPic);
    }

    /**
     * 批量删除商品图片
     *
     * @param ids 需要删除的商品图片主键
     * @return 结果
     */
    @Override
    public int deleteProdPicByIds(String ids) {
        return prodPicMapper.deleteProdPicByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除商品图片信息
     *
     * @param id 商品图片主键
     * @return 结果
     */
    @Override
    public int deleteProdPicById(Long id) {
        return prodPicMapper.deleteProdPicById(id);
    }

    /**
     * 逻辑删除商品图片
     *
     * @param id 商品图片主键
     * @return 结果
     */
    @Override
    public int logicDeleteProdPicById(Long id) {
        return prodPicMapper.logicDeleteProdPicById(id);
    }

    /**
     * 逻辑批量删除商品图片
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    @Override
    public int logicDeleteProdPicByIds(String[] ids) {
        return prodPicMapper.logicDeleteProdPicByIds(ids);
    }

    /**
     * 逻辑批量删除商品图片
     *
     * @param prodPic 商品图片
     * @return 结果
     */
    @Override
    public int logicDeleteProdPicByCondition(ProdPic prodPic) {
        return prodPicMapper.logicDeleteProdPicByCondition(prodPic);
    }
}
